Oracle WebLogic Server 14.1.1 < 14.1.1.0.221010 (2020 年 10 月 CPU)

high Nessus プラグイン ID 166314

概要

リモートホストにインストールされているアプリケーションサーバーは、複数の脆弱性による影響を受けます

説明

リモートホストにインストールされている Oracle WebLogic Server のバージョンに、2022 年 10 月の Critical Patch Update (CPU) からのセキュリティパッチがありません。そのため、以下を含む複数の脆弱性による影響を受けます:

- Oracle Fusion MiddlewareのOracle WebLogic Server製品の脆弱性 (コンポーネント: 一元化されたサードパーティ Jars (Bouncy Castle Java Library))。サポートされているバージョンで影響を受けるのは、12.2.1.3.0、12.2.1.4.0、14.1.1.0.0 です。
悪用が難しい脆弱性があり、認証されていない攻撃者が TLS を介してネットワークにアクセスし、Oracle WebLogic サーバーを侵害する可能性があります。この脆弱性への攻撃が成功した場合、Oracle WebLogicサーバーの乗っ取りが発生する可能性があります。
(CVE-2020-28052)

- Oracle Fusion MiddlewareのOracle WebLogic Server製品の脆弱性 (コンポーネント: 一元化されたサードパーティ Jars (Apache Xerces-J))。サポートされているバージョンで影響を受けるのは、12.2.1.3.0、12.2.1.4.0、14.1.1.0.0 です。容易に悪用可能な脆弱性により、認証されていない攻撃者が HTTP を介してネットワークにアクセスし、Oracle WebLogic Server を侵害する可能性があります。この攻撃が成功するには、攻撃者以外の人物の関与が必要です。この脆弱性に対する攻撃が成功すると、権限なく Oracle WebLogic Server をハングさせたり、頻繁にクラッシュを繰り返させたりする (完全な DOS) 可能性があります。(CVE-2022-23437)

- Oracle Fusion MiddlewareのOracle WebLogic Server製品の脆弱性 (コンポーネント: Web コンテナ)。
サポートされているバージョンで影響を受けるのは、12.2.1.3.0、12.2.1.4.0、14.1.1.0.0 です。悪用が難しい脆弱性によって、高い権限を持つ攻撃者が、Oracle WebLogic Server が実行されているインフラストラクチャにログオンし、Oracle WebLogic Server を侵害する可能性があります。この脆弱性を利用した攻撃が成功すると、Oracle WebLogic Server がアクセスできる一部データを権限なしで更新、挿入、削除できることに加えて、承認なしに Oracle WebLogic Server がアクセスできるデータのサブセットに読み取りアクセスを実行したり、Oracle WebLogic Server でハングを引き起こしたり、頻繁にクラッシュを繰り返したりす (完全な DOS) 可能性があります。(CVE-2022-21616)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

2022 年 10 月の Oracle Critical Patch Update アドバイザリに従い、適切なパッチを適用してください。

関連情報

https://www.oracle.com/docs/tech/security-alerts/cpuoct2022cvrf.xml

https://www.oracle.com/security-alerts/cpuoct2022.html

プラグインの詳細

深刻度: High

ID: 166314

ファイル名: oracle_weblogic_server_cpu_oct_2022_v14.nasl

バージョン: 1.5

タイプ: local

エージェント: windows, macosx, unix

ファミリー: Misc.

公開日: 2022/10/20

更新日: 2022/12/30

構成: 徹底的なチェックを有効にする

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: High

スコア: 7.4

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5.9

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: E:H/RL:OF/RC:C

CVSS スコアのソース: CVE-2020-28052

CVSS v3

リスクファクター: High

Base Score: 8.1

Temporal Score: 7.7

ベクトル: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:H/RL:O/RC:C

脆弱性情報

CPE: cpe:/a:oracle:fusion_middleware, cpe:/a:oracle:weblogic_server

必要な KB アイテム: installed_sw/Oracle WebLogic Server

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2022/10/18

脆弱性公開日: 2022/10/18

参照情報

CVE: CVE-2020-28052, CVE-2021-29425, CVE-2022-21616, CVE-2022-22971, CVE-2022-23437

IAVA: 2022-A-0431

CEA-ID: CEA-2021-0025